Skip to main content
GET
/
api
/
v1
/
lead
Retrieve a Lead
curl --request GET \
  --url https://api.example.com/api/v1/lead/
{
  "uid": "<string>",
  "contact": {
    "id": 123,
    "email_id": "<string>",
    "bounced": true,
    "unsubscribed": true
  },
  "schedules": [
    {
      "id": 123,
      "email_data": {
        "id": 123,
        "subject": "<string>",
        "body": "<string>",
        "email_content_type": "text/plain"
      },
      "link_click_events": [
        {
          "id": 123,
          "link": "<string>",
          "clicked_on": "2023-11-07T05:31:56Z"
        }
      ],
      "replies": [
        {
          "id": 123,
          "body_plain_text": "<string>",
          "body_html": "<string>",
          "received_on": "2023-11-07T05:31:56Z",
          "reply_classification": "positive"
        }
      ],
      "status": "created",
      "schedule_datetime": "2023-11-07T05:31:56Z",
      "sent_on": "2023-11-07T05:31:56Z",
      "reply_received": true,
      "email_opened": true,
      "email_opened_on": "2023-11-07T05:31:56Z",
      "email_open_count": 1073741823
    }
  ],
  "sender_email_address": "<string>",
  "sender_name": "<string>"
}

Query Parameters

lead_uid
string
required

UID of Lead data to fetch.

Response

Success

uid
string
required
Maximum string length: 255
contact
object
required
schedules
object[]
required
sender_email_address
string | null
Maximum string length: 1000
sender_name
string | null
Maximum string length: 500